// priority: 973

ServerEvents.recipes((event) => {
    //Creative Essence 
    event.custom({
      "type": "mysticalagriculture:awakening",
      "essences": [
        {
          "id": "mysticalagradditions:insanium_ingot",
          "count": 40
        },
        {
          "id": "mysticalagradditions:nether_star_shard",
          "count": 40
        },
        {
          "id": "mysticalagradditions:dragon_egg_chunk",
          "count": 40
        },
        {
          "id": "mysticalagriculture:mystical_fertilizer",
          "count": 40
        }
      ],
      "input": {
        "item": "mysticalagriculture:awakened_supremium_ingot_block"
      },
      "ingredients": [
        {
          "item": "mysticalagriculture:cognizant_dust"
        },
        {
          "item": "mysticalagriculture:cognizant_dust"
        },
        {
          "item": "mysticalagriculture:cognizant_dust"
        },
        {
          "item": "mysticalagriculture:cognizant_dust"
        }
      ],
      "result": {
        "id": "mysticalagradditions:creative_essence"
      }
    }).id("ftb:creative_essence");

    //Lilypad of Fertility
    event.custom({
      "type": "mysticalagriculture:infusion",
      "input": {
    "item": "minecraft:lily_pad"
  },
  "ingredients": [
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "reliquary:fertile_essence"
    },
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "reliquary:fertile_essence"
    },
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "reliquary:fertile_essence"
    },
    {
      "item": "mysticalagriculture:tertium_essence"
    },
    {
      "item": "reliquary:fertile_essence"
    }
  ],
  "result": {
    "id": "reliquary:fertile_lily_pad"
  }
    }).id("ftb:lilypad_of_fertility");

  //Fixing Essence Recipes ============================================

  //Acacia
  event.shaped(
    Item.of('minecraft:acacia_log', 21), // arg 1: output
    [
    "EE ", 
    " E ", 
    "  E"
    ],
    {
      E: 'mysticalagriculture:wood_essence',
    }
  ).id("ftbevolution:essence/minecraft/acacia_log");

  //Jungle
  event.shaped(
    Item.of('minecraft:jungle_log', 21), // arg 1: output
    [
    " E ", 
    "EE ", 
    "E  "
    ],
    {
      E: 'mysticalagriculture:wood_essence',
    }
  ).id("ftbevolution:essence/minecraft/jungle_log");

  //Bamboo
  event.shaped(
    Item.of('minecraft:bamboo', 21), // arg 1: output
    [
    "E E", 
    " E ", 
    "E  "
    ],
    {
      E: 'mysticalagriculture:nature_essence',
    }
  ).id("ftbevolution:essence/minecraft/bamboo");

  //Raw Beef
  event.shaped(
    Item.of('minecraft:beef', 6), // arg 1: output
    [
    "EEE", 
    "   ", 
    "   "
    ],
    {
      E: 'mysticalagriculture:cow_essence',
    }
  ).id("ftbevolution:essence/minecraft/beef");

  //Raw Chicken
  event.shaped(
    Item.of('minecraft:chicken', 6), // arg 1: output
    [
    "EEE", 
    "   ", 
    "   "
    ],
    {
      E: 'mysticalagriculture:chicken_essence',
    }
  ).id("ftbevolution:essence/minecraft/chicken");

  //Feather
  event.shaped(
    Item.of('minecraft:feather', 6), // arg 1: output
    [
    "E  ", 
    " E ", 
    "  E"
    ],
    {
      E: 'mysticalagriculture:chicken_essence',
    }
  ).id("ftbevolution:essence/minecraft/feather");

  // ==============================================================================================


  //Prosperity Ore Enriching Recipe
  event.custom({
    type: "mekanism:enriching",
    input: { count: 1, tag: "c:ores/prosperity" },
    output: { count: 12, id: "mysticalagriculture:prosperity_shard" },
  }).id('ftbevolution:processing/enriching/prosperity');

})